Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractQueue

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIQueue

    public abstract class AbstractQueue

extends javax.faces.component.UIComponentBase

Author:
  Nick Belaevski

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `GLOBAL_QUEUE_NAME`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractQueue()`

Method Summary
`abstract String` | `getName()`
`abstract String` | `getOnbeforedomupdate()`
`abstract String` | `getOncomplete()`
`abstract String` | `getOnerror()`
`abstract String` | `getOnevent()`
`abstract String` | `getOnrequestdequeue()`
`abstract String` | `getOnrequestqueue()`
`abstract String` | `getOnsubmit()`
`abstract int` | `getRequestDelay()`
`abstract String` | `getStatus()`
`abstract int` | `getTimeout()`
`abstract boolean` | `isIgnoreDupResponses()`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_QUEUE_NAME

    public static final String GLOBAL_QUEUE_NAME

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractQueue

    public AbstractQueue()

Method Detail

### getRequestDelay

    public abstract int getRequestDelay()

### getStatus

    public abstract String getStatus()

### getOnsubmit

    public abstract String getOnsubmit()

### getOncomplete

    public abstract String getOncomplete()

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

### getOnerror

    public abstract String getOnerror()

### getOnevent

    public abstract String getOnevent()

### getOnrequestqueue

    public abstract String getOnrequestqueue()

### getOnrequestdequeue

    public abstract String getOnrequestdequeue()

### getTimeout

    public abstract int getTimeout()

### isIgnoreDupResponses

    public abstract boolean isIgnoreDupResponses()

### getName

    public abstract String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.